h4 {{ title | uppercase }}

button((click)="addDataRow()") Add row

ng-container(*ngIf="tableData | async")

    .data-table
        .table-header
            .cell.action
            .cell(*ngFor="let key of tableHeaders | async") {{ key }}
        .table-row(
            *ngFor="let data of tableData | async; let index = index")
            .cell.action
                button((click)="deleteDataRow(data.animalId, index)") Delete
            .cell(
                *ngFor="let key of tableHeaders | async",
                [attr.contenteditable]="isEditable(key)",
                (blur)="saveChange(data.animalId, key)",
                (input)="onContentChange($event.target.innerHTML)") {{ data[key] }}
